com.google.gwt.dom.builder.client

## Class DomTableRowBuilder

- java.lang.Object
- - com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
  - - com.google.gwt.dom.builder.client.DomElementBuilderBase<TableRowBuilder,TableRowElement>
    - - com.google.gwt.dom.builder.client.DomTableRowBuilder

- All Implemented Interfaces:
    ElementBuilderBase<TableRowBuilder>, TableRowBuilder

      public class DomTableRowBuilder
      extends DomElementBuilderBase<TableRowBuilder,TableRowElement>
      implements TableRowBuilder

  DOM-based implementation of `TableRowBuilder`.

- - ### Field Summary

    - ### Fields inherited from interface com.google.gwt.dom.builder.shared.TableRowBuilder

      `UNSUPPORTED_HTML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomTableRowBuilder(DomBuilderImpl delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableRowBuilder` | `align(java.lang.String align)` Horizontal alignment of data within cells of this row.
    `TableRowBuilder` | `ch(java.lang.String ch)` Alignment character for cells in a column.
    `TableRowBuilder` | `chOff(java.lang.String chOff)` Offset of alignment character.
    `TableRowBuilder` | `html(SafeHtml html)` Append html within the node.
    `TableRowBuilder` | `text(java.lang.String text)` Append text within the node.
    `TableRowBuilder` | `vAlign(java.lang.String vAlign)` Vertical alignment of data within cells of this row.

    - ### Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

      `assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

    - ### Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

      `end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isChildElementSupported, isEndTagForbidden, style`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

- - ### Constructor Detail

    - #### DomTableRowBuilder

          DomTableRowBuilder(DomBuilderImpl delegate)

  - ### Method Detail

    - #### align

          public TableRowBuilder align(java.lang.String align)

      Description copied from interface: `TableRowBuilder`
      Horizontal alignment of data within cells of this row.
      Specified by:
        `align` in interface `TableRowBuilder`
      See Also:
        W3C HTML Specification

    - #### ch

          public TableRowBuilder ch(java.lang.String ch)

      Description copied from interface: `TableRowBuilder`
      Alignment character for cells in a column.
      Specified by:
        `ch` in interface `TableRowBuilder`
      See Also:
        W3C HTML Specification

    - #### chOff

          public TableRowBuilder chOff(java.lang.String chOff)

      Description copied from interface: `TableRowBuilder`
      Offset of alignment character.
      Specified by:
        `chOff` in interface `TableRowBuilder`
      See Also:
        W3C HTML Specification

    - #### html

          public TableRowBuilder html(SafeHtml html)

      Description copied from interface: `ElementBuilderBase`
      Append html within the node.

      Once you append HTML to the element, you can no longer set attributes.

      Specified by:
        `html` in interface `ElementBuilderBase<TableRowBuilder>`
      Overrides:
        `html` in class `AbstractElementBuilderBase<TableRowBuilder>`
      Parameters:
        `html` - the HTML to append
      Returns:
        this builder

    - #### text

          public TableRowBuilder text(java.lang.String text)

      Description copied from interface: `ElementBuilderBase`
      Append text within the node.

      Once you append text to the element, you can no longer set attributes.

      A string-based implementation will escape the text to prevent HTML/javascript code from executing. DOM based implementations are not required to escape the text if they directly set the innerText of an element.

      Specified by:
        `text` in interface `ElementBuilderBase<TableRowBuilder>`
      Overrides:
        `text` in class `AbstractElementBuilderBase<TableRowBuilder>`
      Parameters:
        `text` - the text to append
      Returns:
        this builder

    - #### vAlign

          public TableRowBuilder vAlign(java.lang.String vAlign)

      Description copied from interface: `TableRowBuilder`
      Vertical alignment of data within cells of this row.
      Specified by:
        `vAlign` in interface `TableRowBuilder`
      See Also:
        W3C HTML Specification